%global cpan_name Gzip-Faster

Name:           perl-%{cpan_name}
Version:        0.21
Release:        1%{?dist}
Summary:        simple and fast gzip and gunzip
License:        perl_5
Group:          Development/Libraries
URL:            https://metacpan.org/dist/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/B/BK/BKB/%{cpan_name}-0.21.tar.gz

# Module Build
BuildRequires:  gcc
BuildRequires:  zlib-devel
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# Test Suite
BuildRequires:  perl(base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Test::More)
# Runtime
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Provides:       perl(Gzip::Faster) = %{version}-%{release}

%{?perl_default_filter}

%description
simple and fast gzip and gunzip 

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes README

%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/Gzip::Faster.3pm*

%changelog
* Thu Aug 24 2023 Jean-Marc Liger <ligenix@iscp.fr> - 0.21-1
- Initial RPM 0.21
